diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/RenderBlocks.java b/game/client/src/main/java/net/minecraft/client/render/block/model/RenderBlocks.java
index 2cfc6e101..fedbd41da 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/RenderBlocks.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/RenderBlocks.java
@@ -701,64 +703,57 @@ public final class RenderBlocks
         double d9 = d3;
         double d10 = d5;
         double d11 = d6;
-        if(uvRotateWest == 1)
-        {
-            d3 = tex.getSubIconU(bounds.minY);
-            d6 = tex.getSubIconV(1 - bounds.minX);
-            d4 = tex.getSubIconU(bounds.maxY);
-            d5 = tex.getSubIconV(1 - bounds.maxX);
+        if (this.uvRotateWest == 1) {
+            d3 = tex.getSubIconU(bounds.minY());
+            d6 = tex.getSubIconV(1 - bounds.minX());
+            d4 = tex.getSubIconU(bounds.maxY());
+            d5 = tex.getSubIconV(1 - bounds.maxX());
             d10 = d5;
             d11 = d6;
             d8 = d3;
             d9 = d4;
             d5 = d6;
             d6 = d10;
-        } else
-        if(uvRotateWest == 2)
-        {
-            d3 = tex.getSubIconU(1 - bounds.maxY);
-            d5 = tex.getSubIconV(bounds.minX);
-            d4 = tex.getSubIconU(1 - bounds.minY);
-            d6 = tex.getSubIconV(bounds.maxX);
+        } else if (this.uvRotateWest == 2) {
+            d3 = tex.getSubIconU(1 - bounds.maxY());
+            d5 = tex.getSubIconV(bounds.minX());
+            d4 = tex.getSubIconU(1 - bounds.minY());
+            d6 = tex.getSubIconV(bounds.maxX());
             d8 = d4;
             d9 = d3;
             d3 = d8;
             d4 = d9;
             d10 = d6;
             d11 = d5;
-        } else
-        if(uvRotateWest == 3)
-        {
-            d3 = tex.getSubIconU(1 - bounds.minX);
-            d4 = tex.getSubIconU(1 - bounds.maxX);
-            d5 = tex.getSubIconV(bounds.maxY);
-            d6 = tex.getSubIconV(bounds.minY);
+        } else if (this.uvRotateWest == 3) {
+            d3 = tex.getSubIconU(1 - bounds.minX());
+            d4 = tex.getSubIconU(1 - bounds.maxX());
+            d5 = tex.getSubIconV(bounds.maxY());
+            d6 = tex.getSubIconV(bounds.minY());
             d8 = d4;
             d9 = d3;
             d10 = d5;
             d11 = d6;
         }
-        double x0 = x + bounds.minX;
-        double x1 = x + bounds.maxX;
-        double y0 = y + bounds.minY;
-        double y1 = y + bounds.maxY;
-        double z0 = z + bounds.maxZ;
-        if(enableAO)
-        {
-        	if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordTopLeft);
-            tessellator.setColorOpaque_F(colorRedTopLeft, colorGreenTopLeft, colorBlueTopLeft);
+        double x0 = x + bounds.minX();
+        double x1 = x + bounds.maxX();
+        double y0 = y + bounds.minY();
+        double y1 = y + bounds.maxY();
+        double z0 = z + bounds.maxZ();
+        if (this.enableAO) {
+            if (LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(this.lightmapCoordTopLeft);
+            tessellator.setColorOpaque_F(this.colorRedTopLeft, this.colorGreenTopLeft, this.colorBlueTopLeft);
             tessellator.addVertexWithUV(x0, y1, z0, d3, d5);
-            if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordBottomLeft);
-            tessellator.setColorOpaque_F(colorRedBottomLeft, colorGreenBottomLeft, colorBlueBottomLeft);
+            if (LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(this.lightmapCoordBottomLeft);
+            tessellator.setColorOpaque_F(this.colorRedBottomLeft, this.colorGreenBottomLeft, this.colorBlueBottomLeft);
             tessellator.addVertexWithUV(x0, y0, z0, d9, d11);
-            if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordBottomRight);
-            tessellator.setColorOpaque_F(colorRedBottomRight, colorGreenBottomRight, colorBlueBottomRight);
+            if (LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(this.lightmapCoordBottomRight);
+            tessellator.setColorOpaque_F(this.colorRedBottomRight, this.colorGreenBottomRight, this.colorBlueBottomRight);
             tessellator.addVertexWithUV(x1, y0, z0, d4, d6);
-            if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordTopRight);
-            tessellator.setColorOpaque_F(colorRedTopRight, colorGreenTopRight, colorBlueTopRight);
+            if (LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(this.lightmapCoordTopRight);
+            tessellator.setColorOpaque_F(this.colorRedTopRight, this.colorGreenTopRight, this.colorBlueTopRight);
             tessellator.addVertexWithUV(x1, y1, z0, d8, d10);
-        } else
-        {
+        } else {
             tessellator.addVertexWithUV(x0, y1, z0, d3, d5);
             tessellator.addVertexWithUV(x0, y0, z0, d9, d11);
             tessellator.addVertexWithUV(x1, y0, z0, d4, d6);
@@ -766,27 +761,27 @@ public final class RenderBlocks
         }
     }
 
-    public void renderWestFace(Tessellator tessellator, AABB bounds, double x, double y, double z, IconCoordinate tex)
-    {
-        if(overrideBlockTexture != null) tex = overrideBlockTexture;
+    public void renderWestFace(@NotNull Tessellator tessellator, @NotNull AABBdc bounds, @NotNull TilePosc tilePos, @Nullable IconCoordinate tex) {
+        renderWestFace(tessellator, bounds, tilePos.x(), tilePos.y(), tilePos.z(), tex);
+    }
+
+    public void renderWestFace(@NotNull Tessellator tessellator, @NotNull AABBdc bounds, double x, double y, double z, @Nullable IconCoordinate tex) {
+        if (this.overrideBlockTexture != null) tex = this.overrideBlockTexture;
         if (tex == null) return;
-        double d3 = tex.getSubIconU(bounds.minZ);
-        double d4 = tex.getSubIconU(bounds.maxZ);
-        double d5 = tex.getSubIconV(1 - bounds.maxY);
-        double d6 = tex.getSubIconV(1 - bounds.minY);
-        if(flipTexture)
-        {
+        double d3 = tex.getSubIconU(bounds.minZ());
+        double d4 = tex.getSubIconU(bounds.maxZ());
+        double d5 = tex.getSubIconV(1 - bounds.maxY());
+        double d6 = tex.getSubIconV(1 - bounds.minY());
+        if (this.flipTexture) {
             double d7 = d3;
             d3 = d4;
             d4 = d7;
         }
-        if(bounds.minZ < 0.0D || bounds.maxZ > 1.0D)
-        {
+        if (bounds.minZ() < 0.0D || bounds.maxZ() > 1.0D) {
             d3 = tex.getIconUMin();
             d4 = tex.getIconUMax();
         }
-        if(bounds.minY < 0.0D || bounds.maxY > 1.0D)
-        {
+        if (bounds.minY() < 0.0D || bounds.maxY() > 1.0D) {
             d5 = tex.getIconVMin();
             d6 = tex.getIconVMax();
         }
@@ -794,64 +789,57 @@ public final class RenderBlocks
         double d9 = d3;
         double d10 = d5;
         double d11 = d6;
-        if(uvRotateNorth == 1)
-        {
-            d3 = tex.getSubIconU(bounds.minY);
-            d5 = tex.getSubIconV(1 - bounds.maxZ);
-            d4 = tex.getSubIconU(bounds.maxY);
-            d6 = tex.getSubIconV(1 - bounds.minZ);
+        if (this.uvRotateNorth == 1) {
+            d3 = tex.getSubIconU(bounds.minY());
+            d5 = tex.getSubIconV(1 - bounds.maxZ());
+            d4 = tex.getSubIconU(bounds.maxY());
+            d6 = tex.getSubIconV(1 - bounds.minZ());
             d10 = d5;
             d11 = d6;
             d8 = d3;
             d9 = d4;
             d5 = d6;
             d6 = d10;
-        } else
-        if(uvRotateNorth == 2)
-        {
-            d3 = tex.getSubIconU(1 - bounds.maxY);
-            d5 = tex.getSubIconV(bounds.minZ);
-            d4 = tex.getSubIconU(1 - bounds.minY);
-            d6 = tex.getSubIconV(bounds.maxZ);
+        } else if (this.uvRotateNorth == 2) {
+            d3 = tex.getSubIconU(1 - bounds.maxY());
+            d5 = tex.getSubIconV(bounds.minZ());
+            d4 = tex.getSubIconU(1 - bounds.minY());
+            d6 = tex.getSubIconV(bounds.maxZ());
             d8 = d4;
             d9 = d3;
             d3 = d8;
             d4 = d9;
             d10 = d6;
             d11 = d5;
-        } else
-        if(uvRotateNorth == 3)
-        {
-            d3 = tex.getSubIconU(1 - bounds.minZ);
-            d4 = tex.getSubIconU(1 - bounds.maxZ);
-            d5 = tex.getSubIconV(bounds.maxY);
-            d6 = tex.getSubIconV(bounds.minY);
+        } else if (this.uvRotateNorth == 3) {
+            d3 = tex.getSubIconU(1 - bounds.minZ());
+            d4 = tex.getSubIconU(1 - bounds.maxZ());
+            d5 = tex.getSubIconV(bounds.maxY());
+            d6 = tex.getSubIconV(bounds.minY());
             d8 = d4;
             d9 = d3;
             d10 = d5;
             d11 = d6;
         }
-        double d12 = x + bounds.minX;
-        double d13 = y + bounds.minY;
-        double d14 = y + bounds.maxY;
-        double d15 = z + bounds.minZ;
-        double d16 = z + bounds.maxZ;
-        if(enableAO)
-        {
-        	if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordTopLeft);
-            tessellator.setColorOpaque_F(colorRedTopLeft, colorGreenTopLeft, colorBlueTopLeft);
+        double d12 = x + bounds.minX();
+        double d13 = y + bounds.minY();
+        double d14 = y + bounds.maxY();
+        double d15 = z + bounds.minZ();
+        double d16 = z + bounds.maxZ();
+        if (this.enableAO) {
+            if (LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(this.lightmapCoordTopLeft);
+            tessellator.setColorOpaque_F(this.colorRedTopLeft, this.colorGreenTopLeft, this.colorBlueTopLeft);
             tessellator.addVertexWithUV(d12, d14, d16, d8, d10);
-            if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordBottomLeft);
-            tessellator.setColorOpaque_F(colorRedBottomLeft, colorGreenBottomLeft, colorBlueBottomLeft);
+            if (LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(this.lightmapCoordBottomLeft);
+            tessellator.setColorOpaque_F(this.colorRedBottomLeft, this.colorGreenBottomLeft, this.colorBlueBottomLeft);
             tessellator.addVertexWithUV(d12, d14, d15, d3, d5);
-            if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordBottomRight);
-            tessellator.setColorOpaque_F(colorRedBottomRight, colorGreenBottomRight, colorBlueBottomRight);
+            if (LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(this.lightmapCoordBottomRight);
+            tessellator.setColorOpaque_F(this.colorRedBottomRight, this.colorGreenBottomRight, this.colorBlueBottomRight);
             tessellator.addVertexWithUV(d12, d13, d15, d9, d11);
-            if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordTopRight);
-            tessellator.setColorOpaque_F(colorRedTopRight, colorGreenTopRight, colorBlueTopRight);
+            if (LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(this.lightmapCoordTopRight);
+            tessellator.setColorOpaque_F(this.colorRedTopRight, this.colorGreenTopRight, this.colorBlueTopRight);
             tessellator.addVertexWithUV(d12, d13, d16, d4, d6);
-        } else
-        {
+        } else {
             tessellator.addVertexWithUV(d12, d14, d16, d8, d10);
             tessellator.addVertexWithUV(d12, d14, d15, d3, d5);
             tessellator.addVertexWithUV(d12, d13, d15, d9, d11);
@@ -859,27 +847,27 @@ public final class RenderBlocks
         }
     }
 
-    public void renderEastFace(Tessellator tessellator, AABB bounds, double x, double y, double z, IconCoordinate tex)
-    {
-        if(overrideBlockTexture != null) tex = overrideBlockTexture;
+    public void renderEastFace(@NotNull Tessellator tessellator, @NotNull AABBdc bounds, @NotNull TilePosc tilePos, @Nullable IconCoordinate tex) {
+        renderEastFace(tessellator, bounds, tilePos.x(), tilePos.y(), tilePos.z(), tex);
+    }
+
+    public void renderEastFace(@NotNull Tessellator tessellator, @NotNull AABBdc bounds, double x, double y, double z, @Nullable IconCoordinate tex) {
+        if (this.overrideBlockTexture != null) tex = this.overrideBlockTexture;
         if (tex == null) return;
-        double uMin = tex.getSubIconU(bounds.minZ);
-        double uMax = tex.getSubIconU(bounds.maxZ);
-        double vMin = tex.getSubIconV(1 - bounds.maxY);
-        double vMax = tex.getSubIconV(1 - bounds.minY);
-        if(flipTexture)
-        {
+        double uMin = tex.getSubIconU(bounds.minZ());
+        double uMax = tex.getSubIconU(bounds.maxZ());
+        double vMin = tex.getSubIconV(1 - bounds.maxY());
+        double vMax = tex.getSubIconV(1 - bounds.minY());
+        if (this.flipTexture) {
             double _uMin = uMin;
             uMin = uMax;
             uMax = _uMin;
         }
-        if(bounds.minZ < 0.0D || bounds.maxZ > 1.0D)
-        {
+        if (bounds.minZ() < 0.0D || bounds.maxZ() > 1.0D) {
             uMin = tex.getIconUMin();
             uMax = tex.getIconUMax();
         }
-        if(bounds.minY < 0.0D || bounds.maxY > 1.0D)
-        {
+        if (bounds.minY() < 0.0D || bounds.maxY() > 1.0D) {
             vMin = tex.getIconVMin();
             vMax = tex.getIconVMax();
         }
@@ -887,65 +875,58 @@ public final class RenderBlocks
         double uMin2 = uMin;
         double vMin2 = vMin;
         double vMax2 = vMax;
-        if(uvRotateSouth == 2)
-        {
-            uMin = tex.getSubIconU(bounds.minY);
-            vMin = tex.getSubIconV(1 - bounds.minZ);
-            uMax = tex.getSubIconU(bounds.maxY);
-            vMax = tex.getSubIconV(1 - bounds.maxZ);
+        if (this.uvRotateSouth == 2) {
+            uMin = tex.getSubIconU(bounds.minY());
+            vMin = tex.getSubIconV(1 - bounds.minZ());
+            uMax = tex.getSubIconU(bounds.maxY());
+            vMax = tex.getSubIconV(1 - bounds.maxZ());
             vMin2 = vMin;
             vMax2 = vMax;
             uMax2 = uMin;
             uMin2 = uMax;
             vMin = vMax;
             vMax = vMin2;
-        } else
-        if(uvRotateSouth == 1)
-        {
-            uMin = tex.getSubIconU(1 - bounds.maxY);
-            vMin = tex.getSubIconV(bounds.maxZ);
-            uMax = tex.getSubIconU(1 - bounds.minY);
-            vMax = tex.getSubIconV(bounds.minZ);
+        } else if (this.uvRotateSouth == 1) {
+            uMin = tex.getSubIconU(1 - bounds.maxY());
+            vMin = tex.getSubIconV(bounds.maxZ());
+            uMax = tex.getSubIconU(1 - bounds.minY());
+            vMax = tex.getSubIconV(bounds.minZ());
             uMax2 = uMax;
             uMin2 = uMin;
             uMin = uMax2;
             uMax = uMin2;
             vMin2 = vMax;
             vMax2 = vMin;
-        } else
-        if(uvRotateSouth == 3)
-        {
-            uMin = tex.getSubIconU(1 - bounds.minZ);
-            uMax = tex.getSubIconU(1 - bounds.maxZ);
-            vMin = tex.getSubIconV(bounds.maxY);
-            vMax = tex.getSubIconV(bounds.minY);
+        } else if (this.uvRotateSouth == 3) {
+            uMin = tex.getSubIconU(1 - bounds.minZ());
+            uMax = tex.getSubIconU(1 - bounds.maxZ());
+            vMin = tex.getSubIconV(bounds.maxY());
+            vMax = tex.getSubIconV(bounds.minY());
             uMax2 = uMax;
             uMin2 = uMin;
             vMin2 = vMin;
             vMax2 = vMax;
         }
-        double xMax = x + bounds.maxX;
-        double yMin = y + bounds.minY;
-        double yMax = y + bounds.maxY;
-        double zMin = z + bounds.minZ;
-        double zMax = z + bounds.maxZ;
+        double xMax = x + bounds.maxX();
+        double yMin = y + bounds.minY();
+        double yMax = y + bounds.maxY();
+        double zMin = z + bounds.minZ();
+        double zMax = z + bounds.maxZ();
 
-        if(enableAO)
-        {
-        	if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordTopLeft);
-            tessellator.setColorOpaque_F(colorRedTopLeft, colorGreenTopLeft, colorBlueTopLeft);
+        if (this.enableAO) {
+            if (LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(this.lightmapCoordTopLeft);
+            tessellator.setColorOpaque_F(this.colorRedTopLeft, this.colorGreenTopLeft, this.colorBlueTopLeft);
             tessellator.addVertexWithUV(xMax, yMin, zMax, uMin2, vMax2);
-            if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordBottomLeft);
-            tessellator.setColorOpaque_F(colorRedBottomLeft, colorGreenBottomLeft, colorBlueBottomLeft);
+            if (LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(this.lightmapCoordBottomLeft);
+            tessellator.setColorOpaque_F(this.colorRedBottomLeft, this.colorGreenBottomLeft, this.colorBlueBottomLeft);
             tessellator.addVertexWithUV(xMax, yMin, zMin, uMax, vMax);
-            if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordBottomRight);
-            tessellator.setColorOpaque_F(colorRedBottomRight, colorGreenBottomRight, colorBlueBottomRight);
+            if (LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(this.lightmapCoordBottomRight);
+            tessellator.setColorOpaque_F(this.colorRedBottomRight, this.colorGreenBottomRight, this.colorBlueBottomRight);
             tessellator.addVertexWithUV(xMax, yMax, zMin, uMax2, vMin2);
-            if(LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(lightmapCoordTopRight);
-            tessellator.setColorOpaque_F(colorRedTopRight, colorGreenTopRight, colorBlueTopRight);
+            if (LightmapHelper.isLightmapEnabled()) tessellator.setLightmapCoord(this.lightmapCoordTopRight);
+            tessellator.setColorOpaque_F(this.colorRedTopRight, this.colorGreenTopRight, this.colorBlueTopRight);
             tessellator.addVertexWithUV(xMax, yMax, zMax, uMin, vMin);
-        } else
-        {
+        } else {
             tessellator.addVertexWithUV(xMax, yMin, zMax, uMin2, vMax2);
             tessellator.addVertexWithUV(xMax, yMin, zMin, uMax, vMax);
             tessellator.addVertexWithUV(xMax, yMax, zMin, uMax2, vMin2);
diff --git a/game/client/src/main/java/net/minecraft/client/render/camera/CameraUtil.java b/game/client/src/main/java/net/minecraft/client/render/camera/CameraUtil.java
index e3861e663..983ff11c6 100644
--- a/game/client/src/main/java/net/minecraft/client/render/camera/CameraUtil.java
+++ b/game/client/src/main/java/net/minecraft/client/render/camera/CameraUtil.java
@@ -4,35 +4,30 @@ import net.minecraft.core.block.BlockLogicFluid;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.util.phys.HitResult;
 import net.minecraft.core.block.material.Material;
-import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
+import net.minecraft.core.world.pos.TilePos;
+import org.jetbrains.annotations.NotNull;
+import org.jetbrains.annotations.Nullable;
+import org.joml.Vector3d;
+import org.joml.Vector3dc;
 
-public abstract class CameraUtil
-{
-    public static HitResult traceRay(ICamera camera, World world, double distance, float partialTick)
-    {
-        Vec3 pos = camera.getPosition(partialTick);
-        Vec3 rot = camera.getRotationVector(partialTick);
-        Vec3 endPos = pos.add(rot.x * distance, rot.y * distance, rot.z * distance);
+public abstract class CameraUtil {
+    public static @Nullable HitResult traceRay(@NotNull ICamera camera, @NotNull World world, double distance, float partialTick) {
+        Vector3dc pos = camera.getPosition(partialTick);
+        Vector3dc viewDir = camera.getViewVector(partialTick);
+        Vector3dc endPos = pos.add(viewDir.x() * distance, viewDir.y() * distance, viewDir.z() * distance, new Vector3d());
         return world.checkBlockCollisionBetweenPoints(pos, endPos);
     }
 
-    public static boolean isUnderLiquid(ICamera camera, World world, Material material, float partialTick)
-    {
+    public static boolean isUnderLiquid(@NotNull ICamera camera, @NotNull World world, @NotNull Material material, float partialTick) {
         double cameraY = camera.getY(partialTick);
-        int x = MathHelper.floor(camera.getX(partialTick));
-        int y = MathHelper.floor_float(MathHelper.floor(cameraY));
-        int z = MathHelper.floor(camera.getZ(partialTick));
-        int id = world.getBlockId(x, y, z);
-        if(id != 0 && Blocks.blocksList[id].getMaterial() == material)
-        {
-            float f = BlockLogicFluid.getHeight(world.getBlockMetadata(x, y, z)) - 0.2F;
-            float f1 = (float)(y + 1) - f;
-            return cameraY < (double)f1;
-        }
-        else
-        {
+        TilePos tilePos = camera.getTilePos(partialTick);
+        int id = world.getBlockId(tilePos);
+        if (id != 0 && Blocks.blocksList[id].getMaterial() == material) {
+            float fluidHeight = BlockLogicFluid.getHeight(world.getBlockData(tilePos)) - 0.2F;
+            float waterSurface = (float) (tilePos.y + 1) - fluidHeight;
+            return cameraY < (double) waterSurface;
+        } else {
             return false;
         }
 
diff --git a/game/client/src/main/java/net/minecraft/client/render/camera/EntityCamera.java b/game/client/src/main/java/net/minecraft/client/render/camera/EntityCamera.java
index c9c99fe9a..4978440b2 100644
--- a/game/client/src/main/java/net/minecraft/client/render/camera/EntityCamera.java
+++ b/game/client/src/main/java/net/minecraft/client/render/camera/EntityCamera.java
@@ -4,28 +4,26 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.culling.CameraFrustum;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.util.helper.MathHelper;
+import org.jetbrains.annotations.NotNull;
 
 public abstract class EntityCamera
-    implements ICamera
-{
-    protected final Minecraft mc;
+    implements ICamera {
+    protected final @NotNull Minecraft mc;
 
-    private final CameraFrustum frustum;
+    private final @NotNull CameraFrustum frustum;
 
-    public final Mob mob;
+    public final @NotNull Mob mob;
 
     private double hhO = Double.NaN;
 
-    public EntityCamera(Minecraft mc, Mob mob)
-    {
+    public EntityCamera(@NotNull Minecraft mc, @NotNull Mob mob) {
         this.mc = mc;
         this.mob = mob;
         this.frustum = new CameraFrustum(this);
     }
 
     @Override
-    public boolean showPlayer()
-    {
+    public boolean showPlayer() {
         return false;
     }
 
@@ -35,85 +33,64 @@ public abstract class EntityCamera
     }
 
     @Override
-    public void applyGlTransformations() { }
+    public void applyGlTransformations() {
+    }
 
     @Override
-    public double getX(float partialTick)
-    {
-        if (partialTick == 1f || mob.isRemoved())
-        {
-            return mob.x;
-        }
-        else
-        {
-            return mob.xo + (mob.x - mob.xo) * partialTick;
+    public double getX(float partialTick) {
+        if (partialTick == 1f || this.mob.isRemoved()) {
+            return this.mob.x;
+        } else {
+            return this.mob.xo + (this.mob.x - this.mob.xo) * partialTick;
         }
     }
 
     @Override
-    public double getY(float partialTick)
-    {
-        if (partialTick == 1f || mob.isRemoved())
-        {
-            return mob.y + mob.getHeadHeight();
-        }
-        else
-        {
+    public double getY(float partialTick) {
+        if (partialTick == 1f || this.mob.isRemoved()) {
+            return this.mob.y + this.mob.getHeadHeight();
+        } else {
             if (Double.isNaN(this.hhO)) this.hhO = this.mob.getHeadHeight();
             return (this.mob.yo + (this.mob.y - this.mob.yo) * partialTick) + MathHelper.lerp(this.hhO, this.mob.getHeadHeight(), partialTick);
         }
     }
 
     @Override
-    public double getZ(float partialTick)
-    {
-        if (partialTick == 1f || mob.isRemoved())
-        {
-            return mob.z;
-        }
-        else
-        {
-            return mob.zo + (mob.z - mob.zo) * partialTick;
+    public double getZ(float partialTick) {
+        if (partialTick == 1f || this.mob.isRemoved()) {
+            return this.mob.z;
+        } else {
+            return this.mob.zo + (this.mob.z - this.mob.zo) * partialTick;
         }
 
     }
 
     @Override
-    public double getXRot(float partialTick)
-    {
-        if (partialTick == 1f || mob.isRemoved())
-        {
-            return mob.xRot;
-        }
-        else
-        {
-            return mob.xRotO + (mob.xRot - mob.xRotO) * partialTick;
+    public double getXRot(float partialTick) {
+        if (partialTick == 1f || this.mob.isRemoved()) {
+            return this.mob.xRot;
+        } else {
+            return this.mob.xRotO + (this.mob.xRot - this.mob.xRotO) * partialTick;
         }
 
     }
 
     @Override
-    public double getYRot(float partialTick)
-    {
-        if (partialTick == 1f || mob.isRemoved())
-        {
-            return mob.yRot;
-        }
-        else
-        {
-            return mob.yRotO + (mob.yRot - mob.yRotO) * partialTick;
+    public double getYRot(float partialTick) {
+        if (partialTick == 1f || this.mob.isRemoved()) {
+            return this.mob.yRot;
+        } else {
+            return this.mob.yRotO + (this.mob.yRot - this.mob.yRotO) * partialTick;
         }
     }
 
     @Override
-    public double getFov()
-    {
-        return mc.gameSettings.FoV.value;
+    public double getFov() {
+        return this.mc.gameSettings.FoV.value;
     }
 
     @Override
-    public CameraFrustum getFrustum()
-    {
-        return frustum;
+    public @NotNull CameraFrustum getFrustum() {
+        return this.frustum;
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/render/camera/EntityCameraIsometric.java b/game/client/src/main/java/net/minecraft/client/render/camera/EntityCameraIsometric.java
index b20bea47d..db1657d70 100644
--- a/game/client/src/main/java/net/minecraft/client/render/camera/EntityCameraIsometric.java
+++ b/game/client/src/main/java/net/minecraft/client/render/camera/EntityCameraIsometric.java
@@ -3,21 +3,19 @@ package net.minecraft.client.render.camera;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ScreenPhotoMode;
 import net.minecraft.core.entity.Mob;
+import org.jetbrains.annotations.NotNull;
 
 public class EntityCameraIsometric
-    extends EntityCamera
-{
-    public EntityCameraIsometric(Minecraft mc, Mob entity) {
+    extends EntityCamera {
+    public EntityCameraIsometric(@NotNull Minecraft mc, @NotNull Mob entity) {
         super(mc, entity);
     }
 
     @Override
     public boolean showPlayer() {
-        if (mc.currentScreen instanceof ScreenPhotoMode)
-        {
-            return ((ScreenPhotoMode)mc.currentScreen).showPlayer;
+        if (this.mc.currentScreen instanceof ScreenPhotoMode screenPhotoMode) {
+            return screenPhotoMode.showPlayer;
         }
-
         return true;
     }
 }
